Subject: bug#35138: closed (Re: bug#35138: guix system search needs installer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Apr 2019 15:51:02 +0000

Your bug report

#35138: guix system search needs installer

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35138: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35138
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35138: guix system search needs installer
From: Ludovic Courtès <[email-masked]>
To: Jonathan Brielmaier <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Apr 2019 17:50:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jonathan Brielmaier <[email-masked]> skribis:

> during the use of the openSUSE package of Guix I found a little "bug".
> Running "guix system search" results in:
>
> guix system: warning: failed to load '(gnu system install)':
> no code for module (gnu installer)

(Note that it’s a warning, not an error.)

I cannot reproduce this with a ‘guix’ coming from ‘guix pull’:

--8<---------------cut here---------------start------------->8---
$ guix system search . > /dev/null
$ echo $?
0
--8<---------------cut here---------------end--------------->8---

Indeed, the problem came from the makefiles, and is fixed in commit
a7ad4505b7a09f32e2727a333e11716739efb713.

Thanks!

Ludo’.

Subject: guix system search needs installer
From: Jonathan Brielmaier <[email-masked]>
To: [email-masked]
Date: Thu, 4 Apr 2019 10:54:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

during the use of the openSUSE package of Guix I found a little "bug".
Running "guix system search" results in:

guix system: warning: failed to load '(gnu system install)':
no code for module (gnu installer)

So I packaged guile-newt and configured the guix package with
"--enable-installer". Now this problem is gone :)

I just wonder if we should document this, so that it's clear
"--enable-installer" is not only needed for the installer. Or maybe
there is a way to remove the dependency for "guix system search" on (gnu
installer).

~Jonathan